DTS Run

Use this dialog box to select a Data Transformation Services (DTS) package to run and to specify its connection settings and scheduling options.

Options

Location

Select whether the DTS package is stored in Microsoft® SQL Server™, SQL Server 2000 Meta Data Services, or a structured storage file.

Package Name

Select an existing package stored in SQL Server, Meta Data Services, or as a structured storage file to be run. If a single package of the type you specified in Location exists, that package is specified. If multiple packages exist, no package is specified, and you must click the browse (...) button to select a package.

Advanced

Display the Advanced DTS Run dialog box, where you generate global variable, logging, encryption, and command prompt selections .

Date

View the current date and time.

Version

View the globally unique identifier (GUID) for the version of the selected package.

Server

Specify the name of the server on which the package is stored. This option is available for packages saved to SQL Server and Meta Data Services only.

Use Windows Authentication

Specify Windows Authentication for login. This option is available only if you save the package to SQL Server.

Use SQL Server Authentication

Specify SQL Server Authentication for login. This option is available only if you save the package to SQL Server.

User name

Specify a user name for the connection.

Password

Specify a password for the connection.

Run

Execute the selected package.

Schedule

Display the Edit Recurring Job Schedule dialog box, where you can schedule package execution on a regular basis.

See Also

dtsrun Utility

Executing a DTS Package

Scheduling a DTS Package for Execution


Advanced DTS Run

Use this dialog box to view or edit various options for Data Transformation Services (DTS) global variables, logging, and encryption settings.

Options

Variables

Add a global variable or temporarily change the name, data type, and value of an existing package global variable. Any additions or changes exist only for the duration of a dtsrun execution. After the DTS Run utility is closed, changes to existing global variables are not saved, and global variables added during a DTS Run utility session are discarded.

New

Create a new global variable for the duration of a DTS Run utility session.

Delete

Delete a global variable for the duration of a DTS Run utility session.

Log File

Type the name of the text file containing DTS package execution error information.

Browse

Select a package execution log file.

Write completion status to event log

Include a completion status of package execution in the Microsoft® Windows® application log.

Encrypt the command

Encrypt the dtsrun command prompt statement according to SQL Server 2000 encryption. Click Generate to display the encrypted text in the command prompt box. The /Z command prompt switch is shown, followed by the encrypted text for the entire command prompt.

SQL Server 7.0 Format

Encrypt the dtsrun command prompt statement according to SQL Server 7.0 encryption. You need to select this option if you are scheduling packages on an instance of SQL Server 7.0. Click Generate to display the encrypted text in the command prompt box. Only the parameter values are encrypted; the dtsrun.exe command and the command prompt switches are not.

Command line

Display the command line equivalent to the options selected in the DTS Run utility.

Generate

Generate the text displayed in the Command Line box. If you select the Encrypt the command check box, the parameter values in the generated command are encrypted. Generating a command prompt is useful if you want to execute dtsrun from batch files or from SQL Server Agent.

See Also

dtsrun Utility

Executing a DTS Package

Scheduling a DTS Package for Execution


Select Package

Use this dialog box to select among Data Transformation Services (DTS) package versions saved to a structured storage file or to SQL Server.

Selecting a Package Version Saved to a Structured Storage File

When you open a package saved to a structured storage file, if more than one package or package version is contained in the file, the Select Package dialog box appears. The dialog box contains a tree view of a package version history:

  • At the top node, a text file icon and accompanying label indicates the storage location for the package.

  • Package nodes are shown beneath the top node. Each of these nodes represents a different package. There can be multiple package nodes listed under a file, if different packages were saved under the same file name.

  • Version nodes with dates, indicating the complete version history of a package, are displayed beneath a package node.

Double-clicking a package icon loads the latest version of that package version. Double-clicking a version icon loads that specific package version.

Selecting a Package Version Saved to SQL Server

The Select Package dialog box appears when you attempt to load a package saved in multiple versions to SQL Server. As with structured storage files that have multiple versions, a tree view of the package history is displayed for selection. However, only versions for a single package are displayed. You do not save multiple packages to a single file as you do with structured storage files.

Expand a package icon to view its version history, then double-click on the package icon to load the latest version of the package, or click on a specific version to load that version.

See Also

Saving a DTS Package to a Structured Storage File

Saving a DTS Package to SQL Server

DTS Package Execution Utilities


Executing DTS Package

This dialog box displays the execution progress of the Data Transformation Services (DTS) package, as well as the execution status of the individual tasks composing the package.

To display error information about a task, double-click the task that did not execute correctly.

Options

Step

Name of the task that executes in the step.

Status

Indicates the progress of the executing step, and whether the step completed successfully or failed. For tasks that report the number of rows processed (shown in parentheses), the number indicates the total number of rows read from the source, not the number of rows that were successfully processed.

See Also

Executing a DTS Package